OAuthClient
Update an OAuth client
PATCH
/
oauth
/
{id}
Update an OAuth client
curl --request PATCH \
--url https://api.reelevant.com/v2/datasources/oauth/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"method": "GET",
"mode": "refresh_token",
"tokenUrl": "https://login.salesforce.com/services/oauth2/token",
"authorizeUrl": "https://login.salesforce.com/services/oauth2/authorize",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"customPayload": "{ payload: { query: { access_type: 'offline' } } }",
"accessTokenPath": "<string>",
"accessTokenHeader": "x-shopify-access-token",
"accessTokenHeaderPrefix": "google",
"tokenExpiration": 123,
"configuration": {
"method": "GET",
"mode": "refresh_token",
"tokenUrl": "https://login.salesforce.com/services/oauth2/token",
"authorizeUrl": "https://login.salesforce.com/services/oauth2/authorize",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"customPayload": "{ payload: { query: { access_type: 'offline' } } }",
"accessTokenPath": "<string>",
"accessTokenHeader": "x-shopify-access-token",
"accessTokenHeaderPrefix": "google",
"tokenExpiration": 123
}
}
EOFimport requests
url = "https://api.reelevant.com/v2/datasources/oauth/{id}"
payload = {
"method": "GET",
"mode": "refresh_token",
"tokenUrl": "https://login.salesforce.com/services/oauth2/token",
"authorizeUrl": "https://login.salesforce.com/services/oauth2/authorize",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": ["<string>"],
"customPayload": "{ payload: { query: { access_type: 'offline' } } }",
"accessTokenPath": "<string>",
"accessTokenHeader": "x-shopify-access-token",
"accessTokenHeaderPrefix": "google",
"tokenExpiration": 123,
"configuration": {
"method": "GET",
"mode": "refresh_token",
"tokenUrl": "https://login.salesforce.com/services/oauth2/token",
"authorizeUrl": "https://login.salesforce.com/services/oauth2/authorize",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": ["<string>"],
"customPayload": "{ payload: { query: { access_type: 'offline' } } }",
"accessTokenPath": "<string>",
"accessTokenHeader": "x-shopify-access-token",
"accessTokenHeaderPrefix": "google",
"tokenExpiration": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
method: 'GET',
mode: 'refresh_token',
tokenUrl: 'https://login.salesforce.com/services/oauth2/token',
authorizeUrl: 'https://login.salesforce.com/services/oauth2/authorize',
clientId: '<string>',
clientSecret: '<string>',
scopes: ['<string>'],
customPayload: '{ payload: { query: { access_type: \'offline\' } } }',
accessTokenPath: '<string>',
accessTokenHeader: 'x-shopify-access-token',
accessTokenHeaderPrefix: 'google',
tokenExpiration: 123,
configuration: {
method: 'GET',
mode: 'refresh_token',
tokenUrl: 'https://login.salesforce.com/services/oauth2/token',
authorizeUrl: 'https://login.salesforce.com/services/oauth2/authorize',
clientId: '<string>',
clientSecret: '<string>',
scopes: ['<string>'],
customPayload: '{ payload: { query: { access_type: \'offline\' } } }',
accessTokenPath: '<string>',
accessTokenHeader: 'x-shopify-access-token',
accessTokenHeaderPrefix: 'google',
tokenExpiration: 123
}
})
};
fetch('https://api.reelevant.com/v2/datasources/oauth/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z"
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Available options:
GET Available options:
password, client_credentials, refresh_token, access_token, custom_payload, jwt_bearer Pattern:
^(https?):\/\/[^\s$.?#].([^\s]|\x20)*$Example:
"https://login.salesforce.com/services/oauth2/token"
Pattern:
^(https?):\/\/[^\s$.?#].([^\s]|\x20)*$Example:
"https://login.salesforce.com/services/oauth2/authorize"
Show child attributes
Show child attributes
Example:
"{ payload: { query: { access_type: 'offline' } } }"
Example:
"x-shopify-access-token"
Example:
"google"
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update an OAuth client
